# Update change request configuration PUT https://app.unleash-instance.example.com/api/admin/projects/{projectId}/environments/{environment}/change-requests/config Content-Type: application/json **Enterprise feature** This endpoint will change the change request configuration for a given environment, set it to either on/off and optionally configure the number of approvals needed. The minimum number of approvals is 1 and the maximum number is 10. If you provide a number higher than 10 or lower than 1, Unleash will clamp it to the allowed range. Reference: https://docs.getunleash.io/api/update-project-change-request-config ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Updates change request configuration for an environment in the project version: endpoint_changeRequests.updateProjectChangeRequestConfig paths: /api/admin/projects/{projectId}/environments/{environment}/change-requests/config: put: operationId: update-project-change-request-config summary: Updates change request configuration for an environment in the project description: >- **Enterprise feature** This endpoint will change the change request configuration for a given environment, set it to either on/off and optionally configure the number of approvals needed. The minimum number of approvals is 1 and the maximum number is 10. If you provide a number higher than 10 or lower than 1, Unleash will clamp it to the allowed range. tags: - - subpackage_changeRequests parameters: - name: projectId in: path required: true schema: type: string - name: environment in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Change Requests_updateProjectChangeRequestConfig_Response_200 requestBody: description: updateChangeRequestEnvironmentConfigSchema content: application/json: schema: $ref: '#/components/schemas/updateChangeRequestEnvironmentConfigSchema' components: schemas: updateChangeRequestEnvironmentConfigSchema: type: object properties: changeRequestsEnabled: type: boolean description: '`true` if change requests should be enabled, otherwise `false`.' requiredApprovals: type: integer description: >- The number of approvals required before a change request can be applied in this environment. required: - changeRequestsEnabled Change Requests_updateProjectChangeRequestConfig_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config" payload = { "changeRequestsEnabled": True } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"changeRequestsEnabled":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config" payload := strings.NewReader("{\n \"changeRequestsEnabled\": true\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"changeRequestsEnabled\": true\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"changeRequestsEnabled\": true\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config', [ 'body' => '{ "changeRequestsEnabled": true }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"changeRequestsEnabled\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["changeRequestsEnabled": true] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```